Bug 1026326 - Enable deployment ordering within EAR files
Enable deployment ordering within EAR files
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: DR1
: 6.1.0
Assigned To: Aileen
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 07:43 EST by Magesh Kumar Bojan
Modified: 2018-03-29 17:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The SwitchYard sub-deployments included in an EAR file are not currently deployed in order. This is because the EAR configuration's initialize-in-order flag is not currently utilized.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1799 Major Resolved Add support for initialize in order for ear deployments 2016-03-16 04:25 EDT

  None (edit)
Description Magesh Kumar Bojan 2013-11-04 07:43:23 EST
Allow SwitchYard sub-deployments included in a EAR file to be deployed in order. EAR configuration allows for initialize-in-order flag, we should support that.
Comment 2 kconner 2013-11-12 15:35:41 EST
We need more time to evaluate the proposed fix and make sure that it does not break existing ear deployments.

Note You need to log in before you can comment on or make changes to this bug.